package com.xinelu.manage.mapper.patientinfoimport;

import com.xinelu.manage.domain.patientinfoimport.PatientInfoImport;

import java.util.List;

/**
 * 导入患者暂存表Mapper接口
 *
 * @author xinelu
 * @date 2024-11-27
 */
public interface PatientInfoImportMapper {
    /**
     * 查询导入患者暂存表
     *
     * @param id 导入患者暂存表主键
     * @return 导入患者暂存表
     */
    PatientInfoImport selectPatientInfoImportById(Long id);

    /**
     * 查询导入患者暂存表列表
     *
     * @param patientInfoImport 导入患者暂存表
     * @return 导入患者暂存表集合
     */
    List<PatientInfoImport> selectPatientInfoImportList(PatientInfoImport patientInfoImport);

    /**
     * 新增导入患者暂存表
     *
     * @param patientInfoImport 导入患者暂存表
     * @return 结果
     */
    int insertPatientInfoImport(PatientInfoImport patientInfoImport);

    /**
     * 修改导入患者暂存表
     *
     * @param patientInfoImport 导入患者暂存表
     * @return 结果
     */
    int updatePatientInfoImport(PatientInfoImport patientInfoImport);

    /**
     * 删除导入患者暂存表
     *
     * @param id 导入患者暂存表主键
     * @return 结果
     */
    int deletePatientInfoImportById(Long id);

    /**
     * 批量删除导入患者暂存表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deletePatientInfoImportByIds(Long[] ids);

    /**
     * 新增导入患者暂存表
     *
     * @param patientInfoImport 导入患者暂存表
     * @return 结果
     */
    int insertPatientInfoImportList(List<PatientInfoImport> patientInfoImport);

    /**
     * 根据序列号查询数据
     *
     * @param sn 序列号
     * @return PatientInfoImport
     */
    List<PatientInfoImport> selectPatientInfoImportBySn(String sn);
}